#include "DxLib.h"
#include "JankenProc.h"

static int White;
static int HandImage[3];
static JankenHand_e PlayerHand, CPUHand;

void Draw_Initilize(){ // 
	HandImage[JANKEN_HAND_GU]    = LoadGraph( "摜/[.png" );
	HandImage[JANKEN_HAND_TYOKI] = LoadGraph( "摜/傫.png" );
	HandImage[JANKEN_HAND_PA]    = LoadGraph( "摜/ρ[.png" );
	
	White = GetColor( 255, 255, 255 );
}

void Draw_Message(  ){ // ɕ\郁bZ[W`
	DrawFormatString( 210, 10, White, "[=Z 傫=X ρ[=C");
	DrawFormatString( 130, 380, White, "" );
	DrawFormatString( 430, 380, White, "" );
	DrawFormatString( 210, 30, White, "G^[L[ŃZbg" );
}

void Draw_PlayerHand( JankenHand_e PlayerHand ){ // vC[̎`
	if( PlayerHand == JANKEN_HAND_GU ){
		DrawGraph( 80, 120, HandImage[JANKEN_HAND_GU], TRUE );
		DrawFormatString( 130, 340, White, "[" );
	}
	if( PlayerHand == JANKEN_HAND_TYOKI ){
		DrawGraph( 80, 120, HandImage[JANKEN_HAND_TYOKI], TRUE );
		DrawFormatString( 130, 340, White, "傫" );
	}
	if( PlayerHand == JANKEN_HAND_PA ){
		DrawGraph( 80, 120, HandImage[JANKEN_HAND_PA], TRUE );
		DrawFormatString( 130, 340, White, "ρ[" );
	}
}

void Draw_CPUHand( JankenHand_e CPUHand ){ // CPU̎`
	if( CPUHand == JANKEN_HAND_GU ){
		DrawGraph( 360, 120, HandImage[JANKEN_HAND_GU], TRUE );
		DrawFormatString( 430, 340, White, "[" );
	}
	if( CPUHand == JANKEN_HAND_TYOKI ){
		DrawGraph( 360, 120, HandImage[JANKEN_HAND_TYOKI], TRUE );
		DrawFormatString( 430, 340, White, "傫" );
	}
	if( CPUHand == JANKEN_HAND_PA ){
		DrawGraph( 360, 120, HandImage[JANKEN_HAND_PA], TRUE );
		DrawFormatString( 430, 340, White, "ρ[" );
	}
}

void Draw_Result_Aiko(){ // ()`
	DrawFormatString( 280, 300, White, "ŁEEE" );
}

void Draw_Result_Kati(){ // ()`
	DrawFormatString( 280, 300, White, "" );
}

void Draw_Result_Make(){ // ()`
	DrawFormatString( 280, 300, White, "" );
}

