#include "DxLib.h"
#include "Keyboard.h"
#include "JankenProc.h"

static JankenHand_e PlayerHand, CPUHand; // vC[ACPU̎i[p

void JankenProc_UpdatePlayerHand(){ // vC[̎擾
	if( Keyboard_Get( KEY_INPUT_Z ) == 2 ){
		PlayerHand = JANKEN_HAND_GU;
	}
	if( Keyboard_Get( KEY_INPUT_X ) == 2 ){
		PlayerHand = JANKEN_HAND_TYOKI;
	}
	if( Keyboard_Get( KEY_INPUT_C ) == 2 ){
		PlayerHand = JANKEN_HAND_PA;
	}

}

void JankenProc_UpdateCPUHand(){
	JankenHand_e CPUHandTable[] = { JANKEN_HAND_GU, JANKEN_HAND_TYOKI, JANKEN_HAND_PA };
	CPUHand = CPUHandTable[ GetRand(2) ]; // CPU̎擾

}

JankenResult_e JankenProc_Calc(){
	JankenResult_e ResultTable [3] [3] = {{ JANKEN_RESULT_AIKO, JANKEN_RESULT_KATI, JANKEN_RESULT_MAKE },
									      { JANKEN_RESULT_MAKE, JANKEN_RESULT_AIKO, JANKEN_RESULT_KATI },
									      { JANKEN_RESULT_KATI, JANKEN_RESULT_MAKE, JANKEN_RESULT_AIKO }};

	// vC[ォ炮[A傫Aρ[ CPU炮[,傫,ρ[
	JankenResult_e JankenResult = ResultTable [PlayerHand] [CPUHand];

	return JankenResult;
}

JankenHand_e JankenProc_GetPlayerHand(){ // vC[̎̏n
	return PlayerHand;
}

JankenHand_e JankenProc_GetCPUHand(){ // CPU̎̏n
	return CPUHand;
}